Package org.eclipse.cdt.utils.debug.dwarf

# Class Dwarf

java.lang.Object
org.eclipse.cdt.utils.debug.dwarf.Dwarf

All Implemented Interfaces:
  `AutoCloseable`

Direct Known Subclasses:
  `DwarfReader`

public class Dwarf extends Object implements AutoCloseable

## Constructor Summary

Constructors
Constructor
Description
`Dwarf(String file)`
`Dwarf(PE64 exe)`
`Dwarf(Elf exe)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`protected void`
`finalize()`
`void`
`init(PE64 exe)`
`void`
`init(Elf exe)`
`static void`
`main(String[] args)`
`void`
`parse(IDebugEntryRequestor requestor)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Dwarf

public Dwarf(String file) throws IOException

Throws:
  `IOException`

### Dwarf

public Dwarf(Elf exe) throws IOException

Throws:
  `IOException`

### Dwarf

public Dwarf(PE64 exe) throws IOException

Throws:
  `IOException`
Since:
  6.9

## Method Details

### init

public void init(Elf exe) throws IOException

Throws:
  `IOException`

### init

public void init(PE64 exe) throws IOException

Throws:
  `IOException`
Since:
  6.9

### close

public void close()

Specified by:
  `close` in interface `AutoCloseable`

### finalize

protected void finalize() throws Throwable

Overrides:
  `finalize` in class `Object`
Throws:
  `Throwable`

### parse

public void parse(IDebugEntryRequestor requestor)

### main

public static void main(String[] args)